from fastapi import APIRouter

from typing import List
from pydantic import BaseModel

router = APIRouter()


class Entity(BaseModel):
    label: str
    text: str
    start: int
    end: int
    description: str = None


class EntityList(BaseModel):
    entities: List[Entity]
